Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableReport.SummaryCreator

    java.lang.Object
      net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator
          net.sf.jasperreports.components.table.fill.TableReport.ReverseReportBandCreator
              net.sf.jasperreports.components.table.fill.TableReport.SummaryCreator

All Implemented Interfaces:
  ColumnVisitor<java.lang.Void>

Enclosing class:
  TableReport

    protected class TableReport.SummaryCreator

extends TableReport.ReverseReportBandCreator

Constructor Summary
`TableReport.SummaryCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level)`

Method Summary
`protected Cell` | `columnCell(Column column)`
`protected Cell` | `columnGroupCell(ColumnGroup group)`
`protected TableReport.ReportBandCreator` | `createSubVisitor(FillColumn subcolumn, int xOffset, int yOffset, int sublevel)`

Methods inherited from class net.sf.jasperreports.components.table.fill.TableReport.ReverseReportBandCreator
`visitColumnGroup`

Methods inherited from class net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator
`visit, visitColumn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReport.SummaryCreator

    public TableReport.SummaryCreator(TableReport.ReportBandInfo bandInfo,
                                      FillColumn fillColumn,
                                      int xOffset,
                                      int yOffset,
                                      int level)

Method Detail

### columnCell

    protected Cell columnCell(Column column)

  Specified by:
    `columnCell` in class `TableReport.ReportBandCreator`

### columnGroupCell

    protected Cell columnGroupCell(ColumnGroup group)

  Specified by:
    `columnGroupCell` in class `TableReport.ReportBandCreator`

### createSubVisitor

    protected TableReport.ReportBandCreator createSubVisitor(FillColumn subcolumn,
                                                             int xOffset,
                                                             int yOffset,
                                                             int sublevel)

  Specified by:
    `createSubVisitor` in class `TableReport.ReportBandCreator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com